Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.assembler
Class JA

    java.lang.Object
      com.hp.hpl.jena.assembler.JA

    public class JA

extends java.lang.Object

Field Summary
`static Property` | `assembler`
`static Property` | `baseModel`
`static Resource` | `Connectable`
`static Property` | `connection`
`static Resource` | `Connection`
`static Property` | `content`
`static Resource` | `Content`
`static Property` | `contentEncoding`
`static Resource` | `ContentItem`
`static Resource` | `convenient`
`static Property` | `create`
`static Property` | `dbClass`
`static Property` | `dbClassProperty`
`static Property` | `dbPassword`
`static Property` | `dbPasswordProperty`
`static Property` | `dbType`
`static Property` | `dbTypeProperty`
`static Property` | `dbURL`
`static Property` | `dbURLProperty`
`static Property` | `dbUser`
`static Property` | `dbUserProperty`
`static Resource` | `DefaultModel`
`static Property` | `directory`
`static Property` | `documentManager`
`static Resource` | `DocumentManager`
`static Resource` | `Expanded`
`static Property` | `externalContent`
`static Resource` | `ExternalContent`
`static Resource` | `False`
`static Property` | `fileEncoding`
`static Property` | `fileManager`
`static Resource` | `FileManager`
`static Resource` | `FileModel`
`static Resource` | `HasFileManager`
`static Resource` | `HasRules`
`static Property` | `imports`
`static Property` | `importSource`
`static Property` | `includes`
`static Resource` | `InfModel`
`static Property` | `initialContent`
`static Property` | `ja_schema`
`static Property` | `likeBuiltinSpec`
`static Property` | `literalContent`
`static Resource` | `LiteralContent`
`static Property` | `loadClass`
`static Property` | `locationMapper`
`static Resource` | `LocationMapper`
`static Property` | `mapName`
`static Resource` | `MemoryModel`
`static Resource` | `minimal`
`static Resource` | `Model`
`static Property` | `modelName`
`static Resource` | `ModelSource`
`static Resource` | `NamedModel`
`static Property` | `namespace`
`static Resource` | `Object`
`static Property` | `ontLanguage`
`static Resource` | `OntModel`
`static Property` | `ontModelSpec`
`static Resource` | `OntModelSpec`
`static Property` | `policyPath`
`static Property` | `prefix`
`static Property` | `prefixMapping`
`static Resource` | `PrefixMapping`
`static Property` | `quotedContent`
`static Resource` | `RDBModel`
`static Resource` | `RDBModelSource`
`static Property` | `reasoner`
`static Property` | `reasonerClass`
`static Property` | `reasonerFactory`
`static Resource` | `ReasonerFactory`
`static Property` | `reasonerURL`
`static Property` | `reificationMode`
`static Resource` | `ReificationMode`
`static Property` | `rootModel`
`static Property` | `rule`
`static Property` | `rules`
`static Resource` | `RuleSet`
`static Property` | `rulesFrom`
`static Resource` | `SinglePrefixMapping`
`static Resource` | `standard`
`static Property` | `strict`
`static Property` | `subModel`
`static Resource` | `This`
`static Resource` | `True`
`static Resource` | `UnionModel`
`static java.lang.String` | `uri`

Constructor Summary
`JA()`

Method Summary
`static Model` | `getSchema()`
`static java.lang.String` | `getURI()`
`static Property` | `property(java.lang.String localName)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### uri

    public static final java.lang.String uri

See Also:
  Constant Field Values

### MemoryModel

    public static final Resource MemoryModel

### DefaultModel

    public static final Resource DefaultModel

### InfModel

    public static final Resource InfModel

### Object

    public static final Resource Object

### reasoner

    public static final Property reasoner

### reasonerURL

    public static final Property reasonerURL

### baseModel

    public static final Property baseModel

### literalContent

    public static final Property literalContent

### connection

    public static final Property connection

### rules

    public static final Property rules

### Model

    public static final Resource Model

### OntModel

    public static final Resource OntModel

### NamedModel

    public static final Resource NamedModel

### FileModel

    public static final Resource FileModel

### RDBModel

    public static final Resource RDBModel

### PrefixMapping

    public static final Resource PrefixMapping

### ReasonerFactory

    public static final Resource ReasonerFactory

### HasFileManager

    public static final Resource HasFileManager

### Content

    public static final Resource Content

### Connection

    public static final Resource Connection

### Connectable

    public static final Resource Connectable

### LiteralContent

    public static final Resource LiteralContent

### OntModelSpec

    public static final Resource OntModelSpec

### ModelSource

    public static final Resource ModelSource

### RDBModelSource

    public static final Resource RDBModelSource

### content

    public static final Property content

### ExternalContent

    public static final Resource ExternalContent

### externalContent

    public static final Property externalContent

### modelName

    public static final Property modelName

### ontModelSpec

    public static final Property ontModelSpec

### This

    public static final Resource This

### True

    public static final Resource True

### False

    public static final Resource False

### Expanded

    public static final Resource Expanded

### prefix

    public static final Property prefix

### namespace

    public static final Property namespace

### includes

    public static final Property includes

### directory

    public static final Property directory

### create

    public static final Property create

### strict

    public static final Property strict

### mapName

    public static final Property mapName

### documentManager

    public static final Property documentManager

### ontLanguage

    public static final Property ontLanguage

### importSource

    public static final Property importSource

### quotedContent

    public static final Property quotedContent

### contentEncoding

    public static final Property contentEncoding

### initialContent

    public static final Property initialContent

### RuleSet

    public static final Resource RuleSet

### rule

    public static final Property rule

### HasRules

    public static final Resource HasRules

### rulesFrom

    public static final Property rulesFrom

### ContentItem

    public static final Resource ContentItem

### dbClass

    public static final Property dbClass

### LocationMapper

    public static final Resource LocationMapper

### locationMapper

    public static final Property locationMapper

### FileManager

    public static final Resource FileManager

### DocumentManager

    public static final Resource DocumentManager

### fileManager

    public static final Property fileManager

### policyPath

    public static final Property policyPath

### UnionModel

    public static final Resource UnionModel

### subModel

    public static final Property subModel

### rootModel

    public static final Property rootModel

### reificationMode

    public static final Property reificationMode

### minimal

    public static final Resource minimal

### convenient

    public static final Resource convenient

### standard

    public static final Resource standard

### ReificationMode

    public static final Resource ReificationMode

### fileEncoding

    public static final Property fileEncoding

### dbUser

    public static final Property dbUser

### dbUserProperty

    public static final Property dbUserProperty

### dbPassword

    public static final Property dbPassword

### dbPasswordProperty

    public static final Property dbPasswordProperty

### dbURL

    public static final Property dbURL

### dbURLProperty

    public static final Property dbURLProperty

### dbType

    public static final Property dbType

### dbTypeProperty

    public static final Property dbTypeProperty

### dbClassProperty

    public static final Property dbClassProperty

### assembler

    public static final Property assembler

### loadClass

    public static final Property loadClass

### imports

    public static final Property imports

### reasonerFactory

    public static final Property reasonerFactory

### reasonerClass

    public static final Property reasonerClass

### ja_schema

    public static final Property ja_schema

### likeBuiltinSpec

    public static final Property likeBuiltinSpec

### SinglePrefixMapping

    public static final Resource SinglePrefixMapping

### prefixMapping

    public static final Property prefixMapping

Constructor Detail

### JA

    public JA()

Method Detail

### getURI

    public static java.lang.String getURI()

### property

    public static Property property(java.lang.String localName)

### getSchema

    public static Model getSchema()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP